# Rails Base Image Builder
This  repository is the base image for all base image that is used in the `builder` stage of all of our rails apps.

## Update gems

To update the gems in this core image, great care must be taken. Once the gemfile has been update, the lock file can be updated with
a simple helper script. There are many ways of achieving this, but the recommended way is:

``` 
docker run -it -v "$(pwd)":/app -v /usr/local/bundle:/usr/local/bundle ruby:2.7.1 sh -c "apt-get update; apt-get install -y cmake build-essential; ls /usr/local/bundle; cd /app; gem install bundler:2.1; bundle update; bundle install;"
```

Once both the `gemfile` and `gemfile.lock` files are both updated, a commit can be created to force a new update. 